Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class JFaceNodeAdapter

    public class JFaceNodeAdapter
    extends java.lang.Object

Adapts a DOM node to a JFace viewer.

## Field Summary

`package-private static java.lang.Class` | `ADAPTER_KEY`
`package-private org.eclipse.wst.xsl.ui.internal.contentoutline.JFaceNodeAdapterFactory` | `fAdapterFactory`
`package-private org.eclipse.wst.xsl.ui.internal.contentoutline.RefreshStructureJob` | `fRefreshJob`

## Constructor Summary

`JFaceNodeAdapter(org.eclipse.wst.xsl.ui.internal.contentoutline.JFaceNodeAdapterFactory adapterFactory)`

## Method Summary

`protected Image` | `createImage(java.lang.Object object)`
`protected Image` | `createXMLImageDescriptor(java.lang.String imageResourceName)`
`public java.lang.Object[]` | `getChildren(java.lang.Object object)`
`public java.lang.Object[]` | `getElements(java.lang.Object node)` Returns an enumeration with the elements belonging to the passed element. These are the top level items in a list, tree, table, etc...
`public Image` | `getLabelImage(java.lang.Object node)` Fetches the label image specific to this object instance.
`public java.lang.String` | `getLabelText(java.lang.Object node)` Fetches the label text specific to this object instance.
`public java.lang.Object` | `getParent(java.lang.Object object)`
`protected ImageDescriptor` | `getXSLImage(org.w3c.dom.Element node)`
`public boolean` | `hasChildren(java.lang.Object object)`
`public boolean` | `isAdapterForType(java.lang.Object type)` Allowing the INodeAdapter to compare itself against the type allows it to return true in more than one case.
`public void` | `notifyChanged(INodeNotifier notifier , int eventType , java.lang.Object changedFeature , java.lang.Object oldValue , java.lang.Object newValue , int pos)` Called by the object being adapter (the notifier) when something has changed.

## Field Detail

## ADAPTER_KEY

`package-private static java.lang.Class ADAPTER_KEY`

## fAdapterFactory

`package-private org.eclipse.wst.xsl.ui.internal.contentoutline.JFaceNodeAdapterFactory fAdapterFactory`

## fRefreshJob

`package-private org.eclipse.wst.xsl.ui.internal.contentoutline.RefreshStructureJob fRefreshJob`

## Constructor Detail

## JFaceNodeAdapter

`public JFaceNodeAdapter(org.eclipse.wst.xsl.ui.internal.contentoutline.JFaceNodeAdapterFactory adapterFactory)`

## Methods Detail

## createImage

`protected Image createImage(java.lang.Object object)`

### Parameters

`object`

### Returns

`Image`

## createXMLImageDescriptor

`protected Image createXMLImageDescriptor(java.lang.String imageResourceName)`

### Parameters

`imageResourceName`

### Returns

`Image`

## getChildren

`public java.lang.Object[] getChildren(java.lang.Object object)`

### Parameters

`object`

### Returns

`java.lang.Object[]`

## getElements

`public java.lang.Object[] getElements(java.lang.Object node)`

Returns an enumeration with the elements belonging to the passed element. These are the top level items in a list, tree, table, etc...

### Parameters

`node`

### Returns

`java.lang.Object[]`

## getLabelImage

`public Image getLabelImage(java.lang.Object node)`

Fetches the label image specific to this object instance.

### Parameters

`node` - DOM Node

### Returns

`Image` - Image for the label.

## getLabelText

`public java.lang.String getLabelText(java.lang.Object node)`

Fetches the label text specific to this object instance.

### Parameters

`node`

### Returns

`java.lang.String` - Node Name for the Label

## getParent

`public java.lang.Object getParent(java.lang.Object object)`

### Parameters

`object`

### Returns

`java.lang.Object`

## getXSLImage

`protected ImageDescriptor getXSLImage(org.w3c.dom.Element node)`

### Parameters

`node`

### Returns

`ImageDescriptor`

## hasChildren

`public boolean hasChildren(java.lang.Object object)`

### Parameters

`object`

### Returns

`boolean`

## isAdapterForType

`public boolean isAdapterForType(java.lang.Object type)`

Allowing the INodeAdapter to compare itself against the type allows it to return true in more than one case.

### Parameters

`type`

### Returns

`boolean`

## notifyChanged

`public void notifyChanged(INodeNotifier notifier , int eventType , java.lang.Object changedFeature , java.lang.Object oldValue , java.lang.Object newValue , int pos)`

Called by the object being adapter (the notifier) when something has changed.

### Parameters

`notifier`

`eventType`

`changedFeature`

`oldValue`

`newValue`

`pos`